//#include <bits/stdc++.h>
#include <fstream>
#include <algorithm>
#include <iostream>
int limit = 0;
using namespace std;
int n,m,gtln,d,x;
int dd[100001];
int t;
struct T
{
    int mauso;
    int tuso;
    double ketqua;
    bool operator <(const T &x) const {return ketqua<x.ketqua;}
}q[1000000];
int dem=0;
int main()
{
    freopen("SXPS.inp","r",stdin);
    freopen("SXPS.out","w",stdout);
    cin>>n>>m;
    for (int i=0;i<=n;i++)
    {
        for (int j=1;j<=n;j++)
        {
            q[t].mauso=j;
            q[t].tuso=i;
            q[t].ketqua=double(i)/double(j);
            t++;
        }
    }
    stable_sort(q,q+t);
    if (m==1) cout<<q[0].tuso<<"/"<<q[0].mauso;
    m=m-1;
    for (int i=1;i<t;i++)
    {
        if (q[i].ketqua!=q[i-1].ketqua)
        {
            m--;
        }
        if (m==0)
        {
            cout<<q[i].tuso<<"/"<<q[i].mauso;break;
        }
    }
}

